| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::ExternalTextureSourceManager Class Reference
Core » Materials

Singleton Class which handles the registering and control of texture plugins. More...

`#include <OgreExternalTextureSourceManager.h>`

Inheritance diagram for Ogre::ExternalTextureSourceManager:
[legend]

## Public Member Functions
| ExternalTextureSourceManager ()
| Constructor. More...
| ~ExternalTextureSourceManager ()
| Destructor. More...
void | destroyAdvancedTexture (const String &sTextureName, const String &groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)
| Calls the destroy method of all registered plugins... More...
ExternalTextureSource * | getCurrentPlugIn (void) const
| Returns currently selected plugin, may be null if none selected. More...
ExternalTextureSource * | getExternalTextureSource (const String &sTexturePlugInType)
| Returns the plugin which registered itself with a specific name (eg. More...
void | setCurrentPlugIn (const String &sTexturePlugInType)
| Sets active plugin (ie. More...
void | setExternalTextureSource (const String &sTexturePlugInType, ExternalTextureSource *pTextureSystem)
| Called from plugin to register itself. More...

## Static Public Member Functions
static ExternalTextureSourceManager & | getSingleton (void)
| Get the singleton instance. More...
static ExternalTextureSourceManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Singleton Class which handles the registering and control of texture plugins.

The plugins will be mostly controlled via a string interface.

## Constructor & Destructor Documentation

## ◆ ExternalTextureSourceManager()

Ogre::ExternalTextureSourceManager::ExternalTextureSourceManager | ( |  | ) |

Constructor.

## ◆ ~ExternalTextureSourceManager()

Ogre::ExternalTextureSourceManager::~ExternalTextureSourceManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ setCurrentPlugIn()

void Ogre::ExternalTextureSourceManager::setCurrentPlugIn | ( | const String & | sTexturePlugInType | ) |

Sets active plugin (ie.

"video", "effect", "generic", etc..)

## ◆ getCurrentPlugIn()

ExternalTextureSource* Ogre::ExternalTextureSourceManager::getCurrentPlugIn | ( | void |  | ) | const
| inline

Returns currently selected plugin, may be null if none selected.

## ◆ destroyAdvancedTexture()

void Ogre::ExternalTextureSourceManager::destroyAdvancedTexture | ( | const String & | sTextureName,
|  | const String & | groupName = `ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME`
| ) |  |

Calls the destroy method of all registered plugins...

Only the owner plugin should perform the destroy action.

## ◆ getExternalTextureSource()

ExternalTextureSource* Ogre::ExternalTextureSourceManager::getExternalTextureSource | ( | const String & | sTexturePlugInType | ) |

Returns the plugin which registered itself with a specific name (eg.

"video"), or null if specified plugin not found

## ◆ setExternalTextureSource()

void Ogre::ExternalTextureSourceManager::setExternalTextureSource | ( | const String & | sTexturePlugInType,
|  | ExternalTextureSource * | pTextureSystem
| ) |  |

Called from plugin to register itself.

## ◆ getSingleton()

static ExternalTextureSourceManager& Ogre::ExternalTextureSourceManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static ExternalTextureSourceManager* Ogre::ExternalTextureSourceManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreExternalTextureSourceManager.h